Debian Bug report logs - #687006
Fails to boot from SD card: Bad Data CRC

version graph

Package: u-boot; Maintainer for u-boot is Vagrant Cascadian <vagrant@debian.org>; Source for u-boot is src:u-boot.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 8 Sep 2012 09:03:02 UTC

Severity: important

Tags: moreinfo

Found in version u-boot/2012.04.01-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <clint@debian.org>:
Bug#687006; Package u-boot. (Sat, 08 Sep 2012 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Clint Adams <clint@debian.org>. (Sat, 08 Sep 2012 09:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: Fails to boot from SD card: Bad Data CRC
Date: Sat, 8 Sep 2012 09:57:51 +0100
Package: u-boot
Version: 2012.04.01-2
Severity: important

PlugForum user "odoll" and Robin Becker reported that 2012.04.01-2
gives a "Bad Data CRC" error when booting from SD card:
http://www.plugcomputer.org/plugforum/index.php?topic=6170.0

I just verified this on my SheevaPlug:

This is a regression from 2011.12:

U-Boot 2011.12 (Mar 11 2012 - 18:59:46)

Marvell>> run bootcmd
SDHC found. Card desciption is:
Manufacturer:       0x02, OEM "TM"
Product name:       "SD04G", revision 3.8
Serial number:      3150667575
Manufacturing date: 9/2008
CRC:                0x00, b0 = 0
mmc1 is available
Loading file "/uImage" from mmc device 0:1 (xxa1)
1599712 bytes read
Loading file "/uInitrd" from mmc device 0:1 (xxa1)
7301244 bytes read
## Booting kernel from Legacy Image at 00800000 ...
   Image Name:   kernel 3.2.0-3-kirkwood
   Image Type:   ARM Linux Kernel Image (uncompressed)
   Data Size:    1599648 Bytes = 1.5 MiB
   Load Address: 00008000
   Entry Point:  00008000
   Verifying Checksum ... OK
## Loading init Ramdisk from Legacy Image at 01100000 ...
...

With the current version:

U-Boot 2012.04.01 (Jun 01 2012 - 02:27:06)
Marvell>> run bootcmd
SDHC found. Card desciption is:
Manufacturer:       0x02, OEM "TM"
Product name:       "SD04G", revision 3.8
Serial number:      3150667575
Manufacturing date: 9/2008
CRC:                0x00, b0 = 0
mmc1 is available
Loading file "/uImage" from mmc device 0:1 (xxa1)
1599712 bytes read
Loading file "/uInitrd" from mmc device 0:1 (xxa1)
7301244 bytes read
## Booting kernel from Legacy Image at 00800000 ...
   Image Name:   kernel 3.2.0-3-kirkwood
   Image Type:   ARM Linux Kernel Image (uncompressed)
   Data Size:    1599648 Bytes = 1.5 MiB
   Load Address: 00008000
   Entry Point:  00008000
   Verifying Checksum ... Bad Data CRC
ERROR: can't get kernel image!

Loading from USB works fine:

Loading file "/uImage" from usb device 0:1 (usbda1)
1435120 bytes read
Loading file "/uInitrd" from usb device 0:1 (usbda1)
5480200 bytes read
Marvell>> bootm 0x00800000 0x01100000
## Booting kernel from Legacy Image at 00800000 ...
   Image Name:   Debian kernel
   Image Type:   ARM Linux Kernel Image (uncompressed)
   Data Size:    1435056 Bytes = 1.4 MiB
   Load Address: 00008000
   Entry Point:  00008000
   Verifying Checksum ... OK
## Loading init Ramdisk from Legacy Image at 01100000 ...

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <clint@debian.org>:
Bug#687006; Package u-boot. (Sat, 08 Sep 2012 09:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Clint Adams <clint@debian.org>. (Sat, 08 Sep 2012 09:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 687006@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 687006@bugs.debian.org
Cc: Robin Becker <robin@reportlab.com>
Subject: Re: Bug#687006: Fails to boot from SD card: Bad Data CRC
Date: Sat, 8 Sep 2012 10:05:04 +0100
Two more notes:

 - it seems it doesn't matter what kernel you're trying to load.  The
   original report on PlugForum was with 2.6.32-5-kirkwood but I tried
   to load 3.2.0-3-kirkwood.

 - Robin Becker wrote: "Well I have had at least some success. I applied
   just one of the patches from 2012.04.01-2 (kerma-sheevaplug-mvsdio.diff)
   which adds in the SD related stuff to the very latest denx uboot code.
   Using the openocd and the u-boot.elf from that build I do get the SD boot
   to work."

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <clint@debian.org>:
Bug#687006; Package u-boot. (Wed, 12 Sep 2012 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to DrEagle <dreagle@doukki.net>:
Extra info received and forwarded to list. Copy sent to Clint Adams <clint@debian.org>. (Wed, 12 Sep 2012 17:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 687006@bugs.debian.org (full text, mbox):

From: DrEagle <dreagle@doukki.net>
To: 687006@bugs.debian.org
Subject: Not really a bug
Date: Wed, 12 Sep 2012 18:57:23 +0200
[Message part 1 (text/plain, inline)]
Hi,

I quickly check the kerma-sheevaplug-mvsdio.diff and it only the env
that do no use, by default, the SD/MMC to boot.

The CONFIG_BOOTCOMMAND defined by the patch, try to boot, in this order,
USB, SATA and NAND.

I may propose another better "multi-boot" patch that I have already
tested but the env may always need to be reset after uboot upgrade.

This bug is not really one; env CRC is modified by an u-boot upgrade (or
downgrade) and need to been reset.

The side effect of an upgraded sheevaplugs is then a CRC error and the
lost of env settings.

May be latest denx uboot had improved the env state after upgrade process.

Regards,

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <clint@debian.org>:
Bug#687006; Package u-boot. (Thu, 13 Sep 2012 20:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to DrEagle <dreagle@doukki.net>:
Extra info received and forwarded to list. Copy sent to Clint Adams <clint@debian.org>. (Thu, 13 Sep 2012 20:18:05 GMT) Full text and rfc822 format available.

Message #20 received at 687006@bugs.debian.org (full text, mbox):

From: DrEagle <dreagle@doukki.net>
To: 687006@bugs.debian.org
Subject: Do not load at all (cross compile error) need to recompile
Date: Thu, 13 Sep 2012 22:14:42 +0200
Hi,

I take just some few minutes to report that a recompilation of the
source gives correct results.

The version of sheevaplug u-boot.kwb already compiled (and packaged) is
faulty.

Here a try with the 2012-04-01 compiled u-boot.kwb
---
U-Boot 2012.04.01 (Jun 01 2012 - 02:27:06)
Marvell-Sheevaplug - eSATA - SD/MMC

SoC:   Kirkwood 88F6281_A0
DRAM:  512 MiB
WARNING: Caches not enabled
NAND:  512 MiB
In:    serial
Out:   serial
Err:   serial
Net:   egiga0
88E1116 Initialized on egiga0
Hit any key to stop autoboot:  0
Marvell>> version

U-Boot 2012.04.01 (Jun 01 2012 - 02:27:06)
Marvell-Sheevaplug - eSATA - SD/MMC
gcc (Debian 4.6.3-5) 4.6.3
GNU ld (GNU Binutils for Debian) 2.22
Marvell>> mmc init
SD found. Card desciption is:
Manufacturer:       0x02, OEM "TM"
Product name:       "SD256", revision 0.7
Serial number:      1957215847
Manufacturing date: 7/2004
CRC:                0x00, b0 = 0
mmc1 is available
Marvell>> fatls mmc 0:1
   375932   u-boot.kwb
  1599712   uimage
  4282091   uinitrd
            ok/

3 file(s), 1 dir(s)

Marvell>> fatload mmc 0:1 0x00800000 /uimage
reading /uimage
---
*hangs* (freeze) here... need to reset

I take my debian box to make a fresh compile from wheezy and all works
fine :
---
U-Boot 2012.04.01 (Sep 13 2012 - 21:48:06)
Marvell-Sheevaplug - eSATA - SD/MMC

SoC:   Kirkwood 88F6281_A0
DRAM:  512 MiB
WARNING: Caches not enabled
NAND:  512 MiB
In:    serial
Out:   serial
Err:   serial
Net:   egiga0
88E1116 Initialized on egiga0
Hit any key to stop autoboot:  0
Marvell>> version

U-Boot 2012.04.01 (Sep 13 2012 - 21:48:06)
Marvell-Sheevaplug - eSATA - SD/MMC
arm-linux-gnueabi-gcc (Debian 4.4.5-8) 4.4.5
GNU ld (GNU Binutils for Debian) 2.20.1.20100303
Marvell>> mmc init
SD found. Card desciption is:
Manufacturer:       0x02, OEM "TM"
Product name:       "SD256", revision 0.7
Serial number:      1957215847
Manufacturing date: 7/2004
CRC:                0x00, b0 = 0
mmc1 is available
Marvell>> fatls mmc 0
   388864   u-boot.kwb
  1599712   uimage
  4282091   uinitrd

3 file(s), 0 dir(s)

Marvell>> fatload mmc 0:1 0x00800000 /uImage
reading /uImage

1599712 bytes read
Marvell>> fatload mmc 0:1 0x01100000 /uInitrd
reading /uInitrd

4282091 bytes read
Marvell>> setenv bootargs console=ttyS0,115200n8
base-installer/initramfs-tools/driver-policy=most
Marvell>> bootm 0x00800000 0x01100000
## Booting kernel from Legacy Image at 00800000 ...
   Image Name:   Debian kernel
   Image Type:   ARM Linux Kernel Image (uncompressed)
   Data Size:    1599648 Bytes = 1.5 MiB
   Load Address: 00008000
   Entry Point:  00008000
   Verifying Checksum ... OK
## Loading init Ramdisk from Legacy Image at 01100000 ...
   Image Name:   debian-installer ramdisk
   Image Type:   ARM Linux RAMDisk Image (gzip compressed)
   Data Size:    4282027 Bytes = 4.1 MiB
   Load Address: 00000000
   Entry Point:  00000000
   Verifying Checksum ... OK
   Loading Kernel Image ... OK
OK
Using machid 0xa76 from environment

Starting kernel ...

Uncompressing Linux... done, booting the kernel.
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.2.0-3-kirkwood (Debian 3.2.23-1)
(debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-8) )
#1 Mon Jul 23 22:36:47 UTC 2012
[    0.000000] CPU: Feroceon 88FR131 [56251311] revision 1 (ARMv5TE),
cr=00053977
[    0.000000] CPU: VIVT data cache, VIVT instruction cache
[    0.000000] Machine: Marvell eSATA SheevaPlug Reference Board
[    0.000000] Memory policy: ECC disabled, Data cache writeback
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.
Total pages: 130048
[    0.000000] Kernel command line: console=ttyS0,115200n8
base-installer/initramfs-tools/driver-policy=most
---
the *only* difference is the compiler.

arm-linux-gnueabi-gcc (Debian 4.4.5-8) 4.4.5
GNU ld (GNU Binutils for Debian) 2.20.1.20100303
is ok instead of
gcc (Debian 4.6.3-5) 4.6.3
GNU ld (GNU Binutils for Debian) 2.22
which gave bad results...

If you need more information or testings, please feel free to asks.

Regards,



Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <clint@debian.org>:
Bug#687006; Package u-boot. (Sat, 22 Sep 2012 08:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to DrEagle <dreagle@doukki.net>:
Extra info received and forwarded to list. Copy sent to Clint Adams <clint@debian.org>. (Sat, 22 Sep 2012 08:45:10 GMT) Full text and rfc822 format available.

Message #25 received at 687006@bugs.debian.org (full text, mbox):

From: DrEagle <dreagle@doukki.net>
To: 687006@bugs.debian.org
Subject: New SDIO/MMC driver available
Date: Sat, 22 Sep 2012 10:40:59 +0200
[Message part 1 (text/plain, inline)]
Just proposed to u-boot, a new generic MMC/SDIO driver is now available for testing : 
Marvell SDIO/MMC driver for Sheevaplug [1] I put a binary [2] compiled from denx git patched with MMC.

This serie of patch add SDIO/MMC support to Sheevaplug board

Change from v1:
- Fix an issue with most SDHC cards because of timeout delay

drEagle (5):
  Add Marvell SDIO/MMC driver for Kirkwood SoC
  Add SDIO/MMC support for kirkwood SoC
  Add SDIO/MMC support for Sheevaplug board
  Fix env address for Sheevaplug board
  Fix timeout in Marvell SDIO MMC driver

[1] http://lists.denx.de/pipermail/u-boot/2012-September/134915.html
[2] https://doukki.net/plugs/sheevaplug/testing/

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) moreinfo. Request was from Vagrant Cascadian <vagrant@debian.org> to 655928-quiet@bugs.debian.org. (Wed, 30 Oct 2013 07:45:14 GMT) Full text and rfc822 format available.

Information stored :
Bug#687006; Package u-boot. (Wed, 30 Oct 2013 07:45:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 30 Oct 2013 07:45:19 GMT) Full text and rfc822 format available.

Message #32 received at 687006-quiet@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: 655928-submitter@bugs.debian.org, 687006-submitter@bugs.debian.org, 687008-submitter@bugs.debian.org
Cc: 655928-quiet@bugs.debian.org, 687006-quiet@bugs.debian.org, 687008-quiet@bugs.debian.org
Subject: Verify u-boot bugs against newer versions?
Date: Wed, 30 Oct 2013 00:33:36 -0700
Control: tags 655928 moreinfo
Control: tags 687006 moreinfo
Control: tags 687008 moreinfo

Would you be able to verify if these bugs are still present in newer versions
of u-boot? Unstable currently has version 2013.10-2.

#655928: u-boot fails to recognize usb storage devices
#687006: Fails to boot from SD card: Bad Data CRC
#687008: Loading from SD card hangs in bootcmd, but not after a delay

Thanks!

live well,
  vagrant



Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#687006. (Wed, 30 Oct 2013 07:45:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <clint@debian.org>:
Bug#687006; Package u-boot. (Sat, 02 Nov 2013 12:12:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Clint Adams <clint@debian.org>. (Sat, 02 Nov 2013 12:12:36 GMT) Full text and rfc822 format available.

Message #40 received at 687006@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Vagrant Cascadian <vagrant@debian.org>
Cc: 687006@bugs.debian.org
Subject: Re: Bug#687006: Verify u-boot bugs against newer versions?
Date: Sat, 2 Nov 2013 12:05:03 +0000
fixed 687006 2013.10-2
thanks

* Vagrant Cascadian <vagrant@debian.org> [2013-10-30 00:33]:
> Would you be able to verify if these bugs are still present in newer versions
> of u-boot? Unstable currently has version 2013.10-2.

#687006 is no longer present in 2013.10-2.

-- 
Martin Michlmayr
http://www.cyrius.com/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:32:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.